#include <vhex/display.h>

#include <string.h>
#include <stdint.h>

extern void menu_title(void);
extern int menu_select(int max_level);

int main(void)
{
	extern const image_t troll;
	int level;

	menu_title();
	level = menu_select(12);

	dclear(C_WHITE);
	dimage(
		&troll,
		dwidth() / 2,
		dheight() / 2,
		DIMAGE_CENTER | DIMAGE_MIDDLE
	);
	dprint(0, 0, C_BLACK, "selected level = %d", level);
	dupdate();
	while (1);
#if 0
	unlock = 0;
	id_level = 0;
	while(1) {
		id_level = menu_main(id_level, unlock);
		if (id_level < 0) break;
		if(id_level == 1) intro();

		id_level = engine_main(id_level);
		if(id_level > unlock) {
			unlock = id_level;
			save_write(unlock);
		}
		if(id_level > NB_LEVEL) {
			ending();
			menu_title();
		}
	}
#endif
	return (0);
}
